var fs = require('fs');

exports.parse = function(path, opt_defaults) {
    var lines = fs.readFileSync(path, 'utf8').split("\n"),
        res   = {},
        i,
        bk;

    bk = function (line, lno) {
        if (!line || line.charAt(0) == '#') return;
        var m = line.match(/^([A-Za-z_]+)[\s]+(.*)$/),
            k = m[1], v = m[2];
        res[k] = eval(v);
    };
    for (i=0; i<lines.length; i++) {
        bk(lines[i], i);
    };

    if (opt_defaults) {
        bk = function (k, v) {
            if (res[k] === undefined)
                res[k] = v;
        };
        for (var i in opt_defaults) {
            bk(i, opt_defaults[i]);
        }
    }

    return res;
};

exports.dirparse = function(mode_path, dir_path, opt_defaults) {
    var mode = fs.readFileSync(mode_path, 'utf8').replace(/\s/g, ''),
        conf = dir_path + '/' + mode;
    return exports.parse(conf, opt_defaults);
};
