var confjs = require('../src/confjs.js'),
    path = require('path');

var failed = false,
    chk = function(str, v) {
        if (!v) failed = true;
        console.log(str + '? ' + (v ? 'yes' : 'no'));
    };

var res = confjs.parse(path.resolve('simple'), {SIMPLE: false, john: 'JOHN!'});
chk('res.SIMPLE === true', res.SIMPLE === true);
chk("res.STRING === ' \n hello haha!'", res.STRING === ' \n hello haha!');
chk("res.john === 'JOHN!'", res.john === 'JOHN!');

res = confjs.dirparse(path.resolve('mode'), path.resolve('conf'), {john: 'JOHN!', WORKS: false});
chk('res.WORKS === true', res.WORKS === true);
chk('res.HELLO_WORLD === "Hello, world!"', res.HELLO_WORLD === 'Hello, world!');


console.log("\n");
if (failed)
    console.log ('TESTS FAILED!!!!');
else
    console.log ('All tests passed.');
